// Package kurzd contains the Kurz daemon command.
package main

import (
	"os"
	"time"

	_ "github.com/go-sql-driver/mysql"
)

/**
kurzd
	-h								Display top-level help
	-v								Verbose (default: false).
	help <command>					Display help (same as kurzd <command> -h)
	server 							Serve kurz (default option).
		-p|--port <port_id>			    Serve on this IP port (default: 80).
		-m|--monitoring <port_id>         Serve monitoring on this IP port (default: none)
	install							Install kurzd completely.
		config							Install the configuration define by command line to ~.
	export							Export kurzd data.
		config						    Export kurz configuration.
		content							Export kurz content.
	migrate							Goose migration commands
		<goose commands>				See https://github.com/pressly/goose
	uninstall						Uninstall kurzd completely.
		config							Uninstall the curz configuration file from ~.
		schema							Uninstall the curz database schema.
	status                          Report on kurzd status
	stop                            Stop all instances of kurzd on the current server (restricted)
*/
func main() {
	Execute()
	os.Exit(0)
}

type MapEntry struct {
	Hash                uint64
	Url                 string
	Date1, Date2, Date3 time.Time
	RefCount            uint32
}
